import request from '@/utils/request'

// 查询仓库明细从表列表
export function listWarehousebillsitems(query) {
  return request({
    url: '/warehouseBusiness/warehousebillsitems/list',
    method: 'get',
    params: query
  })
}

// 查询仓库明细从表详细
export function getWarehousebillsitems(fId) {
  return request({
    url: '/warehouseBusiness/warehousebillsitems/' + fId,
    method: 'get'
  })
}

// 新增仓库明细从表
export function addWarehousebillsitems(data) {
  return request({
    url: '/warehouseBusiness/warehousebillsitems',
    method: 'post',
    data: data
  })
}

// 修改仓库明细从表
export function updateWarehousebillsitems(data) {
  return request({
    url: '/warehouseBusiness/warehousebillsitems',
    method: 'put',
    data: data
  })
}

// 删除仓库明细从表
export function delWarehousebillsitems(fId) {
  return request({
    url: '/warehouseBusiness/warehousebillsitems/' + fId,
    method: 'delete'
  })
}

// 导出仓库明细从表
export function exportWarehousebillsitems(query) {
  return request({
    url: '/warehouseBusiness/warehousebillsitems/export',
    method: 'get',
    params: query
  })
}